Package ru.bitel.bgbilling.modules.ipn.server.bean

# Class VlanManager

java.lang.Object
ru.bitel.bgbilling.modules.ipn.server.bean.VlanManager

    public class VlanManager
    extends java.lang.Object

- ## Field Summary

  Fields
  Modifier and Type | Field | Description
  --- | --- | ---
  `protected java.sql.Connection` | `con` |
  `protected int` | `mid` |

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `VlanManager​(int mid, java.sql.Connection con)` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `int` | `createVlan​(int vid, int gateId, int cid)` |
  `java.lang.Integer` | `getFreeVlan​(int gateId, java.util.List<java.util.List<java.lang.Integer>> rangeList)` |
  `int` | `getUsedVlan​(int gateId, int vlanId)` |
  `boolean` | `getVlan​(int gateId)` |
  `int` | `getVlan​(int gateId, int cid)` |
  `java.util.List<java.util.List<java.lang.Integer>>` | `getVlanList​(int cid)` |
  `void` | `removeVlan​(int vid, int gateId, int cid)` |

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### mid

    protected int mid

  - ### con

    protected java.sql.Connection con

- ## Constructor Details

  - ### VlanManager

    public VlanManager​(int mid, java.sql.Connection con)

- ## Method Details

  - ### getVlan

    public int getVlan​(int gateId, int cid)

  - ### getVlan

    public boolean getVlan​(int gateId)

  - ### getUsedVlan

    public int getUsedVlan​(int gateId, int vlanId)

  - ### getVlanList

    public java.util.List<java.util.List<java.lang.Integer>> getVlanList​(int cid)

  - ### getFreeVlan

    public java.lang.Integer getFreeVlan​(int gateId, java.util.List<java.util.List<java.lang.Integer>> rangeList)

  - ### createVlan

    public int createVlan​(int vid, int gateId, int cid)

  - ### removeVlan

    public void removeVlan​(int vid, int gateId, int cid)